WARNING - OLD ARCHIVES

This is an archived copy of the Xen.org mailing list, which we have preserved to ensure that existing links to archives are not broken. The live archive, which contains the latest emails, can be found at http://lists.xen.org/
   
 
 
Xen 
 
Home Products Support Community News
 
   
 

xen-changelog

[Xen-changelog] [xen-unstable] [PATCH] Check for non-existent local repo

To: xen-changelog@xxxxxxxxxxxxxxxxxxx
Subject: [Xen-changelog] [xen-unstable] [PATCH] Check for non-existent local repo
From: Xen patchbot-unstable <patchbot-unstable@xxxxxxxxxxxxxxxxxxx>
Date: Mon, 11 Jun 2007 02:22:20 -0700
Delivery-date: Tue, 12 Jun 2007 05:06:18 -0700
Envelope-to: www-data@xxxxxxxxxxxxxxxxxx
List-help: <mailto:xen-changelog-request@lists.xensource.com?subject=help>
List-id: BK change log <xen-changelog.lists.xensource.com>
List-post: <mailto:xen-changelog@lists.xensource.com>
List-subscribe: <http://lists.xensource.com/cgi-bin/mailman/listinfo/xen-changelog>, <mailto:xen-changelog-request@lists.xensource.com?subject=subscribe>
List-unsubscribe: <http://lists.xensource.com/cgi-bin/mailman/listinfo/xen-changelog>, <mailto:xen-changelog-request@lists.xensource.com?subject=unsubscribe>
Reply-to: xen-devel@xxxxxxxxxxxxxxxxxxx
Sender: xen-changelog-bounces@xxxxxxxxxxxxxxxxxxx
# HG changeset patch
# User Ian Campbell <ian.campbell@xxxxxxxxxxxxx>
# Date 1181055166 -3600
# Node ID faef0f7954904c18894ac44c09ff8814d4c3e9b2
# Parent  c5cf3942b5da002b02280bae4dcf92629593fcbb
[PATCH] Check for non-existent local repo
Check for non-existent local clone in select-repository.
Also change the #!/bin/bash to #!/bin/sh since the Makefile is calling
it explicitly with sh, and fix a couple other typos.

Signed-off-by: Aron Griffis <aron@xxxxxx>
---
 buildconfigs/select-repository |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

diff -r c5cf3942b5da -r faef0f795490 buildconfigs/select-repository
--- a/buildconfigs/select-repository    Tue Jun 05 15:51:59 2007 +0100
+++ b/buildconfigs/select-repository    Tue Jun 05 15:52:46 2007 +0100
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 
 ME=$(basename $0)
 
@@ -39,9 +39,13 @@ fi
 fi
 
 BASE=$(dirname ${XEN})
-if [ $? -ne 0 ] || [ X"$XEN" = "X" ] ; then
-    echo "$ME: Unable to determine Xen repository parent." 1>&2
+if [ $? -ne 0 ] || [ X"$BASE" = "X" ] ; then
+    echo "$ME: Unable to determine Xen repository base." 1>&2
     exit 1;
+fi
+if [ -d "$XEN" ] && [ ! -d "$BASE/$REPO" ] ; then
+    echo "$ME: No such dir: $BASE/$REPO" 1>&2
+    exit 1
 fi
 
 echo "$ME: Found ${BASE}/${REPO}" 1>&2

_______________________________________________
Xen-changelog mailing list
Xen-changelog@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-changelog

<Prev in Thread] Current Thread [Next in Thread>
  • [Xen-changelog] [xen-unstable] [PATCH] Check for non-existent local repo, Xen patchbot-unstable <=